PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::modal::BesselSolverCyl::Mode Struct Reference

`#include <solvers/optical/modal/bessel/solvercyl.hpp>`

Collaboration diagram for plask::optical::modal::BesselSolverCyl::Mode:
[legend]

## Public Member Functions
| Mode (const std::unique_ptr< ExpansionBessel > &expansion, double tolx)
bool | operator== (const Mode &other) const
bool | operator== (const std::unique_ptr< ExpansionBessel > &other) const
template<typename T >
bool | operator!= (const T &other) const

## Public Attributes
double | lam0
| Wavelength for which integrals are computed.
dcomplex | k0
| Stored mode frequency.
int | m
| Stored angular parameter.
double | power
| Mode power (mW)
double | tolx
| Tolerance for mode comparison.

## Detailed Description

Definition at line 70 of file solvercyl.hpp.

## Constructor & Destructor Documentation

## ◆ Mode()

plask::optical::modal::BesselSolverCyl::Mode::Mode | ( | const std::unique_ptr< ExpansionBessel > & | expansion,
|  | double | tolx
| ) |  |
| inline

Definition at line 77 of file solvercyl.hpp.

## Member Function Documentation

## ◆ operator!=()

template<typename T >

bool plask::optical::modal::BesselSolverCyl::Mode::operator!= | ( | const T & | other | ) | const
| inline

Definition at line 91 of file solvercyl.hpp.

## ◆ operator==() [1/2]

bool plask::optical::modal::BesselSolverCyl::Mode::operator== | ( | const Mode & | other | ) | const
| inline

Definition at line 80 of file solvercyl.hpp.

## ◆ operator==() [2/2]

bool plask::optical::modal::BesselSolverCyl::Mode::operator== | ( | const std::unique_ptr< ExpansionBessel > & | other | ) | const
| inline

Definition at line 85 of file solvercyl.hpp.

## Member Data Documentation

## ◆ k0

dcomplex plask::optical::modal::BesselSolverCyl::Mode::k0

Stored mode frequency.

Definition at line 72 of file solvercyl.hpp.

## ◆ lam0

double plask::optical::modal::BesselSolverCyl::Mode::lam0

Wavelength for which integrals are computed.

Definition at line 71 of file solvercyl.hpp.

## ◆ m

int plask::optical::modal::BesselSolverCyl::Mode::m

Stored angular parameter.

Definition at line 73 of file solvercyl.hpp.

## ◆ power

double plask::optical::modal::BesselSolverCyl::Mode::power

Mode power (mW)

Definition at line 74 of file solvercyl.hpp.

## ◆ tolx

double plask::optical::modal::BesselSolverCyl::Mode::tolx

Tolerance for mode comparison.

Definition at line 75 of file solvercyl.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/bessel/solvercyl.hpp